summaryrefslogtreecommitdiffstats
path: root/chrome/tools
diff options
context:
space:
mode:
authormark@chromium.org <mark@chromium.org@0039d316-1c4b-4281-b951-d872f2087c98>2012-06-07 03:51:56 +0000
committermark@chromium.org <mark@chromium.org@0039d316-1c4b-4281-b951-d872f2087c98>2012-06-07 03:51:56 +0000
commit17e63871bf21cdac10f739b01f05e5ede14bba60 (patch)
tree7e89a6ead125d60f7a61a081d0f542ca9fa2586c /chrome/tools
parent491aaa64a7f4026bdbeec22fe5a54e695d169e12 (diff)
downloadchromium_src-17e63871bf21cdac10f739b01f05e5ede14bba60.zip
chromium_src-17e63871bf21cdac10f739b01f05e5ede14bba60.tar.gz
chromium_src-17e63871bf21cdac10f739b01f05e5ede14bba60.tar.bz2
A normal 'copies' section sadly invalidates the signature on
keychain_reauthorize, used for at-update Keychain reauthorization. Use cp instead. BUG=116210 TEST=none Review URL: https://chromiumcodereview.appspot.com/10535048 git-svn-id: svn://svn.chromium.org/chrome/trunk/src@140943 0039d316-1c4b-4281-b951-d872f2087c98
Diffstat (limited to 'chrome/tools')
-rwxr-xr-xchrome/tools/build/mac/copy_keychain_reauthorize.sh22
1 files changed, 22 insertions, 0 deletions
diff --git a/chrome/tools/build/mac/copy_keychain_reauthorize.sh b/chrome/tools/build/mac/copy_keychain_reauthorize.sh
new file mode 100755
index 0000000..5c66889
--- /dev/null
+++ b/chrome/tools/build/mac/copy_keychain_reauthorize.sh
@@ -0,0 +1,22 @@
+#!/bin/bash
+
+# Copyright (c) 2012 The Chromium Authors. All rights reserved.
+# Use of this source code is governed by a BSD-style license that can be
+# found in the LICENSE file.
+
+# A normal 'copies' section slightly alters the binaries copied by changing
+# the vmsize of their __LINKEDIT segments, invalidating their signatures. This
+# script performs the copies without alteration.
+
+set -eu
+
+if [[ ${#} -lt 2 ]]; then
+ echo "usage: ${0} <target_dir> file [...]" >& 2
+ exit 1
+fi
+
+TARGET_DIR="${1}"
+shift
+
+mkdir -p "${TARGET_DIR}"
+cp "${@}" "${TARGET_DIR}"